org.apache.ignite.internal.commandline

## Class ConnectionAndSslParameters

- java.lang.Object
- - org.apache.ignite.internal.commandline.ConnectionAndSslParameters

    public class ConnectionAndSslParameters
    extends Object

Container with common parsed and validated arguments.

### Constructor Summary

Constructors
Constructor and Description

`ConnectionAndSslParameters(Command command, String host, String port, String user, String pwd, Long pingTimeout, Long pingInterval, boolean autoConfirmation, boolean verbose, String sslProtocol, String sslCipherSuites, String sslKeyAlgorithm, String sslKeyStorePath, char[] sslKeyStorePassword, String sslKeyStoreType, String sslTrustStorePath, char[] sslTrustStorePassword, String sslTrustStoreType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `autoConfirmation()`
`Command` `command()`
`String` `getSslCipherSuites()`
`String` `host()`
`String` `password()`
`void` `password(String pwd)`
`long` `pingInterval()` See `GridClientConfiguration.getPingInterval()`.
`long` `pingTimeout()` See `GridClientConfiguration.getPingInterval()`.
`String` `port()`
`String` `sslKeyAlgorithm()`
`char[]` `sslKeyStorePassword()`
`void` `sslKeyStorePassword(char[] sslKeyStorePassword)` Set keystore password.
`String` `sslKeyStorePath()`
`String` `sslKeyStoreType()`
`String` `sslProtocol()`
`char[]` `sslTrustStorePassword()`
`void` `sslTrustStorePassword(char[] sslTrustStorePassword)` Set truststore password.
`String` `sslTrustStorePath()`
`String` `sslTrustStoreType()`
`String` `userName()`
`void` `userName(String user)`
`boolean` `verbose()` Returns `true` if verbose mode is enabled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionAndSslParameters

    public ConnectionAndSslParameters(Command command,
                                      String host,
                                      String port,
                                      String user,
                                      String pwd,
                                      Long pingTimeout,
                                      Long pingInterval,
                                      boolean autoConfirmation,
                                      boolean verbose,
                                      String sslProtocol,
                                      String sslCipherSuites,
                                      String sslKeyAlgorithm,
                                      String sslKeyStorePath,
                                      char[] sslKeyStorePassword,
                                      String sslKeyStoreType,
                                      String sslTrustStorePath,
                                      char[] sslTrustStorePassword,
                                      String sslTrustStoreType)

Parameters:
  `command` - Command.
  `host` - Host.
  `port` - Port.
  `user` - User.
  `pwd` - Password.
  `pingTimeout` - Ping timeout. See `GridClientConfiguration.getPingTimeout()`.
  `pingInterval` - Ping interval. See `GridClientConfiguration.getPingInterval()`.
  `autoConfirmation` - Auto confirmation flag.
  `verbose` - Verbose mode.
  `sslProtocol` - SSL Protocol.
  `sslCipherSuites` - SSL cipher suites.
  `sslKeyAlgorithm` - SSL Key Algorithm.
  `sslKeyStorePath` - Keystore.
  `sslKeyStorePassword` - Keystore Password.
  `sslKeyStoreType` - Keystore Type.
  `sslTrustStorePath` - Truststore.
  `sslTrustStorePassword` - Truststore Password.
  `sslTrustStoreType` - Truststore Type.

### Method Detail

#### command

    public Command command()

Returns:
  High-level command which were defined by user to run.

#### host

    public String host()

Returns:
  host name

#### port

    public String port()

Returns:
  port number

#### userName

    public String userName()

Returns:
  user name

#### userName

    public void userName(String user)

Parameters:
  `user` - New user name.

#### password

    public String password()

Returns:
  password

#### password

    public void password(String pwd)

Parameters:
  `pwd` - New password.

#### pingTimeout

    public long pingTimeout()

See `GridClientConfiguration.getPingInterval()`.

Returns:
  Ping timeout.

#### pingInterval

    public long pingInterval()

See `GridClientConfiguration.getPingInterval()`.

Returns:
  Ping interval.

#### autoConfirmation

    public boolean autoConfirmation()

Returns:
  Auto confirmation option.

#### sslProtocol

    public String sslProtocol()

Returns:
  SSL protocol

#### getSslCipherSuites

    public String getSslCipherSuites()

Returns:
  SSL cipher suites.

#### sslKeyAlgorithm

    public String sslKeyAlgorithm()

Returns:
  SSL Key Algorithm

#### sslKeyStorePath

    public String sslKeyStorePath()

Returns:
  Keystore

#### sslKeyStoreType

    public String sslKeyStoreType()

Returns:
  Keystore type

#### sslKeyStorePassword

    public char[] sslKeyStorePassword()

Returns:
  Keystore password

#### sslKeyStorePassword

    public void sslKeyStorePassword(char[] sslKeyStorePassword)

Set keystore password.

Parameters:
  `sslKeyStorePassword` - Keystore password.

#### sslTrustStorePath

    public String sslTrustStorePath()

Returns:
  Truststore

#### sslTrustStoreType

    public String sslTrustStoreType()

Returns:
  Truststore type

#### sslTrustStorePassword

    public char[] sslTrustStorePassword()

Returns:
  Truststore password

#### sslTrustStorePassword

    public void sslTrustStorePassword(char[] sslTrustStorePassword)

Set truststore password.

Parameters:
  `sslTrustStorePassword` - Truststore password.

#### verbose

    public boolean verbose()

Returns `true` if verbose mode is enabled.

Returns:
  `True` if verbose mode is enabled.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020